React Column Charts are among the most common chart types that are used to compare frequency, count, total, or average of data in different categories. They are ideal for showing variations in the value of an item over time.
Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.
Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, and pentagons. In addition to these shapes, use images to make the point more attractive.
Shows the information about the data point with data label. Add a template to display data labels with any HTML element such as images, DIV, and spans to make data more informative.
Use multiple axes to plot different data sets that widely vary from one other.
The column chart provides an option to plot data bi-directionally to compare and analyze the value clearly.
The column chart provides an option to customize the spacing between two bars and the width of the bar.
Modernize the UI by applying rounded corners to the column chart.
Customize the look and feel of the column chart using built-in APIs.
import {AxisModel,Category, ChartComponent, ColumnSeries, Inject, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
public primaryXAxis: AxisModel = { valueType: 'Category'};
public data1 : any[]= [
{ x: 'GER', y: 172 },
{ x: 'RUS', y: 300 },
{ x: 'BRZ', y: 239 },
{ x: 'IND', y: 462 },
{ x: 'CHN', y: 621 },
];
public render() {
return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
<Inject services={[ColumnSeries, Category]} />
<SeriesCollectionDirective>
<SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Column'/>
</SeriesCollectionDirective>
</ChartComponent>
}
};
ReactDOM.render(
<App />,
document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>
<body>
<div id="charts"></div>
</body>
</html>

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

The Angular column chart is the most common chart type used to compare frequency, count, total, or average of data in different categories. It is ideal for showing variations in the value of an item over time.


Multiple series

Plot multiple series in a single chart to compare different data sets. Enabling the legend and tooltip gives readers more information about the individual series.


Markers

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data labels

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Back-to-back column chart

Plot data bi-directionally to compare and analyze the values clearly.


Spacing and width

Customize the spacing between two bars and the widths of the bars.


Rounded corners

Modernize the UI by applying rounded corners to the column chart.


Grouped column

Group a series with another series by giving the group a different name.


Cylindrical columns

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the column chart using built-in APIs.


Angular column chart code example

Easily get started with the Angular column chart using a few simple lines of HTML and TypeScript code, as demonstrated below. Also explore our Angular column chart example that shows you how to render and configure the charts.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='Column' xName='x' yName='y'> </e-series>    
</e-series-collection>
</ejs-chart>
import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
    { x: 'GER', y: 172 },
    { x: 'RUS', y: 300 },
    { x: 'BRZ', y: 239 },
    { x: 'IND', y: 462 },
    { x: 'CHN', y: 621 },
];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { ColumnSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ ColumnSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning resources

UG

Column Chart User Guide

Learn the available options to customize Angular column charts.

API

Column chart API reference

Explore the Angular column chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon